Package com.independentsoft.office.themes

# Class FormatScheme

java.lang.Object
com.independentsoft.office.themes.FormatScheme

public class FormatScheme extends Object
The Class FormatScheme.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FormatScheme()`
  Instantiates a new format scheme.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FormatScheme`
  `clone()`
  `List<IFill>`
  `getBackgroundFillStyles()`
  Gets the background fill styles.
  `List<EffectStyle>`
  `getEffectStyles()`
  Gets the effect styles.
  `List<IFill>`
  `getFillStyles()`
  Gets the fill styles.
  `List<Outline>`
  `getLineStyles()`
  Gets the line styles.
  `String`
  `getName()`
  Gets the name.
  `void`
  `setName​(String name)`
  Sets the name.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FormatScheme

    public FormatScheme()
    Instantiates a new format scheme.

- ## Method Details

  - ### clone

    public FormatScheme clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBackgroundFillStyles

    public List<IFill> getBackgroundFillStyles()
    Gets the background fill styles.
    Returns:
      the background fill styles

  - ### getEffectStyles

    public List<EffectStyle> getEffectStyles()
    Gets the effect styles.
    Returns:
      the effect styles

  - ### getFillStyles

    public List<IFill> getFillStyles()
    Gets the fill styles.
    Returns:
      the fill styles

  - ### getLineStyles

    public List<Outline> getLineStyles()
    Gets the line styles.
    Returns:
      the line styles

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name